Get an AI provider key by ID
GET/v1/workspaces/{workspaceId}/ai_provider_keys/{id}
Retrieves an AI provider key by ID from the workspace
Get an AI provider key by ID
curl https://api.cadenya.com/v1/workspaces/$WORKSPACE_ID/ai_provider_keys/$ID \
-H "Authorization: Bearer $CADENYA_API_KEY"{
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"bundleKey": "bundleKey",
"externalId": "externalId",
"labels": {
"foo": "string"
},
"updatedAt": "2019-12-27T18:11:19.117Z"
},
"spec": {
"apiKey": "apiKey",
"openrouter": {},
"provider": "AI_PROVIDER_UNSPECIFIED"
},
"info": {
"disabledModelCount": 0,
"enabledModelCount": 0,
"isPromotional": true
}
}Returns Examples
{
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"name": "name",
"profileId": "profileId",
"workspaceId": "workspaceId",
"bundleKey": "bundleKey",
"externalId": "externalId",
"labels": {
"foo": "string"
},
"updatedAt": "2019-12-27T18:11:19.117Z"
},
"spec": {
"apiKey": "apiKey",
"openrouter": {},
"provider": "AI_PROVIDER_UNSPECIFIED"
},
"info": {
"disabledModelCount": 0,
"enabledModelCount": 0,
"isPromotional": true
}
}